<?php
namespace App\Domain\Votes\Observers;

use App\Domain\Votes\Models\Vote;
use App\Domain\Votes\Services\VoteService;

class VoteObserver
{

    public function created(Vote $vote)
    {
        $mode = nova_get_setting('vote_paid_mode');

        // Платный режим
        if($mode){
            (new VoteService($vote))->accrualPoints();
        }else{
            (new VoteService($vote))->freeMode();
        }

    }
}
